Subject: bug#44209: 28.0.50; [feature/native-comp] Compilation failure in progmodes/js.el

From: Andrew Whatson <[email-masked]>
Date: Mon, 26 Oct 2020 00:42:16 +1000

Lars Ingebrigtsen <[email-masked]> wrote:

> Oh, you're compiling the archlinux package, not from Emacs git?
>
> There are no errors when saying "make bootstrap" from the Emacs git
> native-comp branch, so I guess you should take this up with the archlinux
> people?

I maintain both of these packages.  Are you sure you're testing with
"make NATIVE_FULL_AOT=1"?  The error does not occur with the minimal
bootstrap build, because that doesn't attempt to native-compile js.el
during the build.  I guess this error must occur at runtime with
deferred compilation for non-AOT builds.